#!/usr/bin/env python

import os, sys
from distutils.core import setup
from distutils.extension import Extension

include_dirs = []
library_dirs = []
runtime_library_dirs = []
extra_objects = []

libraries = ["framerd"]

    
long_description = \
"""PyFramer is a Python binding to the FramerD object database.
http://framerd.org/
"""
setup (# Distribution meta-data
        name = "pyframer",
        version = "0.2",
        description = "framerd binding for python",
        author = "Allen Short",
        author_email = "washort@twistedmatrix.com.",
        url = "http://twistedmatrix.com/users/washort/pyframer/",
	long_description=long_description,

        # Description of the modules and packages in the distribution

        ext_modules = [Extension(
                name='pyframer',
                sources=['pyframer.c'],
                include_dirs=include_dirs,
                library_dirs=library_dirs,
		runtime_library_dirs=runtime_library_dirs,
                libraries=libraries,
		extra_objects=extra_objects,
                )],
)
